Package de.gebit.integrity.serializer

## Class AbstractDSLSyntacticSequencer

- java.lang.Object
- - org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer
  - - de.gebit.integrity.serializer.AbstractDSLSyntacticSequencer

- All Implemented Interfaces:
    `org.eclipse.xtext.serializer.acceptor.ISemanticSequenceAcceptor`, `org.eclipse.xtext.serializer.sequencer.ISyntacticSequencer`
  Direct Known Subclasses:
    `DSLSyntacticSequencer`

      public abstract class AbstractDSLSyntacticSequencer
      extends org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer

      `org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer.SyntacticalContext`

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.serializer.sequencer.ISyntacticSequencer

      `org.eclipse.xtext.serializer.sequencer.ISyntacticSequencer.ISyntacticSequencerOwner`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected DSLGrammarAccess` | `grammarAccess` |
    `protected org.eclipse.xtext.serializer.analysis.GrammarAlias.AbstractElementAlias` | `match_ParameterTableHeader_VerticalLineKeyword_2_q` |
    `protected org.eclipse.xtext.serializer.analysis.GrammarAlias.AbstractElementAlias` | `match_ParameterTableValue_VerticalLineKeyword_2_q` |
    `protected org.eclipse.xtext.serializer.analysis.GrammarAlias.AbstractElementAlias` | `match_ResultTableHeader_VerticalLineKeyword_3_q` |
    `protected org.eclipse.xtext.serializer.analysis.GrammarAlias.AbstractElementAlias` | `match_Suite_CommaKeyword_9_2_1_q` |
    `protected org.eclipse.xtext.serializer.analysis.GrammarAlias.AbstractElementAlias` | `match_SuiteDefinition___ConcludedbyKeyword_11_0_NLParserRuleCall_11_1__q` |
    `protected org.eclipse.xtext.serializer.analysis.GrammarAlias.AbstractElementAlias` | `match_SuiteDefinition___RequiresKeyword_10_0_NLParserRuleCall_10_1__q` |
    `protected org.eclipse.xtext.serializer.analysis.GrammarAlias.AbstractElementAlias` | `match_TimeSet_CommaKeyword_3_2_1_q` |

    - ### Fields inherited from class org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer

      `contexts, delegate, diagnosticProvider, errorAcceptor, pdaProvider, tokenUtil`

    - ### Fields inherited from interface org.eclipse.xtext.serializer.acceptor.ISemanticSequenceAcceptor

      `NO_INDEX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractDSLSyntacticSequencer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `emit_ParameterTableHeader_VerticalLineKeyword_2_q​(org.eclipse.emf.ecore.EObject semanticObject, org.eclipse.xtext.serializer.analysis.ISyntacticSequencerPDAProvider.ISynNavigable transition, List<org.eclipse.xtext.nodemodel.INode> nodes)` | Ambiguous syntax: '|'? This ambiguous syntax occurs at: name=ParameterName (ambiguity) (rule end)
    `protected void` | `emit_ParameterTableValue_VerticalLineKeyword_2_q​(org.eclipse.emf.ecore.EObject semanticObject, org.eclipse.xtext.serializer.analysis.ISyntacticSequencerPDAProvider.ISynNavigable transition, List<org.eclipse.xtext.nodemodel.INode> nodes)` | Ambiguous syntax: '|'? This ambiguous syntax occurs at: value=ValueOrEnumValueOrOperationCollection (ambiguity) (rule end)
    `protected void` | `emit_ResultTableHeader_VerticalLineKeyword_3_q​(org.eclipse.emf.ecore.EObject semanticObject, org.eclipse.xtext.serializer.analysis.ISyntacticSequencerPDAProvider.ISynNavigable transition, List<org.eclipse.xtext.nodemodel.INode> nodes)` | Ambiguous syntax: '|'? This ambiguous syntax occurs at: name=ResultName '=' (ambiguity) (rule end)
    `protected void` | `emit_Suite_CommaKeyword_9_2_1_q​(org.eclipse.emf.ecore.EObject semanticObject, org.eclipse.xtext.serializer.analysis.ISyntacticSequencerPDAProvider.ISynNavigable transition, List<org.eclipse.xtext.nodemodel.INode> nodes)` | Ambiguous syntax: ','? This ambiguous syntax occurs at: variants+=[VariantDefinition|QualifiedName] (ambiguity) NL (rule end) variants+=[VariantDefinition|QualifiedName] (ambiguity) NL variants+=[VariantDefinition|QualifiedName]
    `protected void` | `emit_SuiteDefinition___ConcludedbyKeyword_11_0_NLParserRuleCall_11_1__q​(org.eclipse.emf.ecore.EObject semanticObject, org.eclipse.xtext.serializer.analysis.ISyntacticSequencerPDAProvider.ISynNavigable transition, List<org.eclipse.xtext.nodemodel.INode> nodes)` | Ambiguous syntax: ('concludedby' NL)? This ambiguous syntax occurs at: dependencies+=[SuiteDefinition|QualifiedName] NL (ambiguity) 'with' NL 'suiteend' NL (rule end) dependencies+=[SuiteDefinition|QualifiedName] NL (ambiguity) 'with' NL statements+=SuiteStatement name=QualifiedName NL ('requires' NL)? (ambiguity) 'with' NL 'suiteend' NL (rule end) name=QualifiedName NL ('requires' NL)? (ambiguity) 'with' NL statements+=SuiteStatement parameters+=SuiteParameterDefinition NL ('requires' NL)? (ambiguity) 'with' NL 'suiteend' NL (rule end) parameters+=SuiteParameterDefinition NL ('requires' NL)? (ambiguity) 'with' NL statements+=SuiteStatement return+=SuiteReturnDefinition NL ('requires' NL)? (ambiguity) 'with' NL 'suiteend' NL (rule end) return+=SuiteReturnDefinition NL ('requires' NL)? (ambiguity) 'with' NL statements+=SuiteStatement
    `protected void` | `emit_SuiteDefinition___RequiresKeyword_10_0_NLParserRuleCall_10_1__q​(org.eclipse.emf.ecore.EObject semanticObject, org.eclipse.xtext.serializer.analysis.ISyntacticSequencerPDAProvider.ISynNavigable transition, List<org.eclipse.xtext.nodemodel.INode> nodes)` | Ambiguous syntax: ('requires' NL)? This ambiguous syntax occurs at: name=QualifiedName NL (ambiguity) 'concludedby' NL finalizers+=[SuiteDefinition|QualifiedName] name=QualifiedName NL (ambiguity) ('concludedby' NL)? 'with' NL 'suiteend' NL (rule end) name=QualifiedName NL (ambiguity) ('concludedby' NL)? 'with' NL statements+=SuiteStatement parameters+=SuiteParameterDefinition NL (ambiguity) 'concludedby' NL finalizers+=[SuiteDefinition|QualifiedName] parameters+=SuiteParameterDefinition NL (ambiguity) ('concludedby' NL)? 'with' NL 'suiteend' NL (rule end) parameters+=SuiteParameterDefinition NL (ambiguity) ('concludedby' NL)? 'with' NL statements+=SuiteStatement return+=SuiteReturnDefinition NL (ambiguity) 'concludedby' NL finalizers+=[SuiteDefinition|QualifiedName] return+=SuiteReturnDefinition NL (ambiguity) ('concludedby' NL)? 'with' NL 'suiteend' NL (rule end) return+=SuiteReturnDefinition NL (ambiguity) ('concludedby' NL)? 'with' NL statements+=SuiteStatement
    `protected void` | `emit_TimeSet_CommaKeyword_3_2_1_q​(org.eclipse.emf.ecore.EObject semanticObject, org.eclipse.xtext.serializer.analysis.ISyntacticSequencerPDAProvider.ISynNavigable transition, List<org.eclipse.xtext.nodemodel.INode> nodes)` | Ambiguous syntax: ','? This ambiguous syntax occurs at: forks+=[ForkDefinition|QualifiedName] (ambiguity) NL (rule end) forks+=[ForkDefinition|QualifiedName] (ambiguity) NL forks+=[ForkDefinition|QualifiedName] forks+=[ForkDefinition|QualifiedName] (ambiguity) NL masterFork='master' masterFork='master' (ambiguity) NL (rule end) masterFork='master' (ambiguity) NL forks+=[ForkDefinition|QualifiedName] masterFork='master' (ambiguity) NL masterFork='master'
    `protected void` | `emitUnassignedTokens​(org.eclipse.emf.ecore.EObject semanticObject, org.eclipse.xtext.serializer.analysis.ISyntacticSequencerPDAProvider.ISynTransition transition, org.eclipse.xtext.nodemodel.INode fromNode, org.eclipse.xtext.nodemodel.INode toNode)` |
    `protected String` | `getNLFORCEDToken​(org.eclipse.emf.ecore.EObject semanticObject, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.nodemodel.INode node)` | NLFORCED: NEWLINE WS? NL;
    `protected String` | `getNLToken​(org.eclipse.emf.ecore.EObject semanticObject, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.nodemodel.INode node)` | NL: (NEWLINE WS?)*;
    `protected String` | `getUnassignedRuleCallToken​(org.eclipse.emf.ecore.EObject semanticObject, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.nodemodel.INode node)` |
    `protected void` | `init​(org.eclipse.xtext.IGrammarAccess access)` |

    - ### Methods inherited from class org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer

      `accept, accept, acceptAssignedCrossRefDatatype, acceptAssignedCrossRefEnum, acceptAssignedCrossRefKeyword, acceptAssignedCrossRefTerminal, acceptAssignedDatatype, acceptAssignedEnum, acceptAssignedKeyword, acceptAssignedTerminal, acceptNode, acceptNodes, acceptNodes, acceptUnassignedAction, acceptUnassignedDatatype, acceptUnassignedEnum, acceptUnassignedKeyword, acceptUnassignedTerminal, collectAbstractElements, collectNodes, enterAssignedAction, enterAssignedParserRuleCall, findTransition, finish, getLastLeaf, getLastNavigableState, getNodesFor, getTokenText, getUnassignedRuleCallToken, init, init, leaveAssignedAction, leaveAssignedParserRuleCall, navigateToAbsorber, navigateToAbsorber, navigateToEmitter, navigateToEmitter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### grammarAccess

          protected DSLGrammarAccess grammarAccess

    - #### match_ParameterTableHeader_VerticalLineKeyword_2_q

          protected org.eclipse.xtext.serializer.analysis.GrammarAlias.AbstractElementAlias match_ParameterTableHeader_VerticalLineKeyword_2_q

    - #### match_ParameterTableValue_VerticalLineKeyword_2_q

          protected org.eclipse.xtext.serializer.analysis.GrammarAlias.AbstractElementAlias match_ParameterTableValue_VerticalLineKeyword_2_q

    - #### match_ResultTableHeader_VerticalLineKeyword_3_q

          protected org.eclipse.xtext.serializer.analysis.GrammarAlias.AbstractElementAlias match_ResultTableHeader_VerticalLineKeyword_3_q

    - #### match_SuiteDefinition___ConcludedbyKeyword_11_0_NLParserRuleCall_11_1__q

          protected org.eclipse.xtext.serializer.analysis.GrammarAlias.AbstractElementAlias match_SuiteDefinition___ConcludedbyKeyword_11_0_NLParserRuleCall_11_1__q

    - #### match_SuiteDefinition___RequiresKeyword_10_0_NLParserRuleCall_10_1__q

          protected org.eclipse.xtext.serializer.analysis.GrammarAlias.AbstractElementAlias match_SuiteDefinition___RequiresKeyword_10_0_NLParserRuleCall_10_1__q

    - #### match_Suite_CommaKeyword_9_2_1_q

          protected org.eclipse.xtext.serializer.analysis.GrammarAlias.AbstractElementAlias match_Suite_CommaKeyword_9_2_1_q

    - #### match_TimeSet_CommaKeyword_3_2_1_q

          protected org.eclipse.xtext.serializer.analysis.GrammarAlias.AbstractElementAlias match_TimeSet_CommaKeyword_3_2_1_q

  - ### Constructor Detail

    - #### AbstractDSLSyntacticSequencer

          public AbstractDSLSyntacticSequencer()

  - ### Method Detail

    - #### init

          @Inject
          protected void init​(org.eclipse.xtext.IGrammarAccess access)

    - #### getUnassignedRuleCallToken

          protected String getUnassignedRuleCallToken​(org.eclipse.emf.ecore.EObject semanticObject,
                                                      org.eclipse.xtext.RuleCall ruleCall,
                                                      org.eclipse.xtext.nodemodel.INode node)

      Overrides:
        `getUnassignedRuleCallToken` in class `org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer`

    - #### getNLToken

          protected String getNLToken​(org.eclipse.emf.ecore.EObject semanticObject,
                                      org.eclipse.xtext.RuleCall ruleCall,
                                      org.eclipse.xtext.nodemodel.INode node)

      NL: (NEWLINE WS?)*;

    - #### getNLFORCEDToken

          protected String getNLFORCEDToken​(org.eclipse.emf.ecore.EObject semanticObject,
                                            org.eclipse.xtext.RuleCall ruleCall,
                                            org.eclipse.xtext.nodemodel.INode node)

      NLFORCED: NEWLINE WS? NL;

    - #### emitUnassignedTokens

          protected void emitUnassignedTokens​(org.eclipse.emf.ecore.EObject semanticObject,
                                              org.eclipse.xtext.serializer.analysis.ISyntacticSequencerPDAProvider.ISynTransition transition,
                                              org.eclipse.xtext.nodemodel.INode fromNode,
                                              org.eclipse.xtext.nodemodel.INode toNode)

      Specified by:
        `emitUnassignedTokens` in class `org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer`

    - #### emit_ParameterTableHeader_VerticalLineKeyword_2_q

          protected void emit_ParameterTableHeader_VerticalLineKeyword_2_q​(org.eclipse.emf.ecore.EObject semanticObject,
                                                                           org.eclipse.xtext.serializer.analysis.ISyntacticSequencerPDAProvider.ISynNavigable transition,
                                                                           List<org.eclipse.xtext.nodemodel.INode> nodes)

           Ambiguous syntax:
               '|'?

           This ambiguous syntax occurs at:
               name=ParameterName (ambiguity) (rule end)

    - #### emit_ParameterTableValue_VerticalLineKeyword_2_q

          protected void emit_ParameterTableValue_VerticalLineKeyword_2_q​(org.eclipse.emf.ecore.EObject semanticObject,
                                                                          org.eclipse.xtext.serializer.analysis.ISyntacticSequencerPDAProvider.ISynNavigable transition,
                                                                          List<org.eclipse.xtext.nodemodel.INode> nodes)

           Ambiguous syntax:
               '|'?

           This ambiguous syntax occurs at:
               value=ValueOrEnumValueOrOperationCollection (ambiguity) (rule end)

    - #### emit_ResultTableHeader_VerticalLineKeyword_3_q

          protected void emit_ResultTableHeader_VerticalLineKeyword_3_q​(org.eclipse.emf.ecore.EObject semanticObject,
                                                                        org.eclipse.xtext.serializer.analysis.ISyntacticSequencerPDAProvider.ISynNavigable transition,
                                                                        List<org.eclipse.xtext.nodemodel.INode> nodes)

           Ambiguous syntax:
               '|'?

           This ambiguous syntax occurs at:
               name=ResultName '=' (ambiguity) (rule end)

    - #### emit_SuiteDefinition___ConcludedbyKeyword_11_0_NLParserRuleCall_11_1__q

          protected void emit_SuiteDefinition___ConcludedbyKeyword_11_0_NLParserRuleCall_11_1__q​(org.eclipse.emf.ecore.EObject semanticObject,
                                                                                                 org.eclipse.xtext.serializer.analysis.ISyntacticSequencerPDAProvider.ISynNavigable transition,
                                                                                                 List<org.eclipse.xtext.nodemodel.INode> nodes)

           Ambiguous syntax:
               ('concludedby' NL)?

           This ambiguous syntax occurs at:
               dependencies+=[SuiteDefinition|QualifiedName] NL (ambiguity) 'with' NL 'suiteend' NL (rule end)
               dependencies+=[SuiteDefinition|QualifiedName] NL (ambiguity) 'with' NL statements+=SuiteStatement
               name=QualifiedName NL ('requires' NL)? (ambiguity) 'with' NL 'suiteend' NL (rule end)
               name=QualifiedName NL ('requires' NL)? (ambiguity) 'with' NL statements+=SuiteStatement
               parameters+=SuiteParameterDefinition NL ('requires' NL)? (ambiguity) 'with' NL 'suiteend' NL (rule end)
               parameters+=SuiteParameterDefinition NL ('requires' NL)? (ambiguity) 'with' NL statements+=SuiteStatement
               return+=SuiteReturnDefinition NL ('requires' NL)? (ambiguity) 'with' NL 'suiteend' NL (rule end)
               return+=SuiteReturnDefinition NL ('requires' NL)? (ambiguity) 'with' NL statements+=SuiteStatement

    - #### emit_SuiteDefinition___RequiresKeyword_10_0_NLParserRuleCall_10_1__q

          protected void emit_SuiteDefinition___RequiresKeyword_10_0_NLParserRuleCall_10_1__q​(org.eclipse.emf.ecore.EObject semanticObject,
                                                                                              org.eclipse.xtext.serializer.analysis.ISyntacticSequencerPDAProvider.ISynNavigable transition,
                                                                                              List<org.eclipse.xtext.nodemodel.INode> nodes)

           Ambiguous syntax:
               ('requires' NL)?

           This ambiguous syntax occurs at:
               name=QualifiedName NL (ambiguity) 'concludedby' NL finalizers+=[SuiteDefinition|QualifiedName]
               name=QualifiedName NL (ambiguity) ('concludedby' NL)? 'with' NL 'suiteend' NL (rule end)
               name=QualifiedName NL (ambiguity) ('concludedby' NL)? 'with' NL statements+=SuiteStatement
               parameters+=SuiteParameterDefinition NL (ambiguity) 'concludedby' NL finalizers+=[SuiteDefinition|QualifiedName]
               parameters+=SuiteParameterDefinition NL (ambiguity) ('concludedby' NL)? 'with' NL 'suiteend' NL (rule end)
               parameters+=SuiteParameterDefinition NL (ambiguity) ('concludedby' NL)? 'with' NL statements+=SuiteStatement
               return+=SuiteReturnDefinition NL (ambiguity) 'concludedby' NL finalizers+=[SuiteDefinition|QualifiedName]
               return+=SuiteReturnDefinition NL (ambiguity) ('concludedby' NL)? 'with' NL 'suiteend' NL (rule end)
               return+=SuiteReturnDefinition NL (ambiguity) ('concludedby' NL)? 'with' NL statements+=SuiteStatement

    - #### emit_Suite_CommaKeyword_9_2_1_q

          protected void emit_Suite_CommaKeyword_9_2_1_q​(org.eclipse.emf.ecore.EObject semanticObject,
                                                         org.eclipse.xtext.serializer.analysis.ISyntacticSequencerPDAProvider.ISynNavigable transition,
                                                         List<org.eclipse.xtext.nodemodel.INode> nodes)

           Ambiguous syntax:
               ','?

           This ambiguous syntax occurs at:
               variants+=[VariantDefinition|QualifiedName] (ambiguity) NL (rule end)
               variants+=[VariantDefinition|QualifiedName] (ambiguity) NL variants+=[VariantDefinition|QualifiedName]

    - #### emit_TimeSet_CommaKeyword_3_2_1_q

          protected void emit_TimeSet_CommaKeyword_3_2_1_q​(org.eclipse.emf.ecore.EObject semanticObject,
                                                           org.eclipse.xtext.serializer.analysis.ISyntacticSequencerPDAProvider.ISynNavigable transition,
                                                           List<org.eclipse.xtext.nodemodel.INode> nodes)

           Ambiguous syntax:
               ','?

           This ambiguous syntax occurs at:
               forks+=[ForkDefinition|QualifiedName] (ambiguity) NL (rule end)
               forks+=[ForkDefinition|QualifiedName] (ambiguity) NL forks+=[ForkDefinition|QualifiedName]
               forks+=[ForkDefinition|QualifiedName] (ambiguity) NL masterFork='master'
               masterFork='master' (ambiguity) NL (rule end)
               masterFork='master' (ambiguity) NL forks+=[ForkDefinition|QualifiedName]
               masterFork='master' (ambiguity) NL masterFork='master'